summaryrefslogtreecommitdiff
path: root/util/lint
diff options
context:
space:
mode:
Diffstat (limited to 'util/lint')
-rwxr-xr-xutil/lint/lint-stable-030-makefile-inc24
1 files changed, 24 insertions, 0 deletions
diff --git a/util/lint/lint-stable-030-makefile-inc b/util/lint/lint-stable-030-makefile-inc
new file mode 100755
index 0000000000..a586bea91f
--- /dev/null
+++ b/util/lint/lint-stable-030-makefile-inc
@@ -0,0 +1,24 @@
+#!/usr/bin/env sh
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# DESCR: Verify that Makefiles are not named Makefile.inc
+#
+
+LINTDIR="$(
+ cd -- "$(dirname "$0")" > /dev/null 2>&1 || return
+ pwd -P
+)"
+
+# shellcheck source=helper_functions.sh
+. "${LINTDIR}/helper_functions.sh"
+
+# Exit if the code isn't in a git repo
+if [ "${IN_GIT_TREE}" -eq 0 ]; then
+ exit 0
+fi
+
+MAKELIST="$(${FIND_FILES} | grep Makefile.inc)"
+if [ -n "${MAKELIST}" ]; then
+ echo "Error: Makefiles should be Makefile.mk not Makefile.inc"
+ echo "${MAKELIST}"
+fi